Bullet Collision Detection & Physics Library: btQuadWord Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Protected Attributes | List of all members
btQuadWord Class Reference

The btQuadWord class is base class for btVector3 and btQuaternion. More...

`#include <btQuadWord.h>`

Inheritance diagram for btQuadWord:
[legend]

## Public Member Functions
const btScalar & | getX () const
| Return the x value. More...
const btScalar & | getY () const
| Return the y value. More...
const btScalar & | getZ () const
| Return the z value. More...
void | setX (btScalar _x)
| Set the x value. More...
void | setY (btScalar _y)
| Set the y value. More...
void | setZ (btScalar _z)
| Set the z value. More...
void | setW (btScalar _w)
| Set the w value. More...
const btScalar & | x () const
| Return the x value. More...
const btScalar & | y () const
| Return the y value. More...
const btScalar & | z () const
| Return the z value. More...
const btScalar & | w () const
| Return the w value. More...
| operator btScalar * ()
| operator btScalar*() replaces operator[], using implicit conversion. We added operator != and operator == to avoid pointer comparisons. More...
| operator const btScalar * () const
bool | operator== (const btQuadWord &other) const
bool | operator!= (const btQuadWord &other) const
void | setValue (const btScalar &_x, const btScalar &_y, const btScalar &_z)
| Set x,y,z and zero w. More...
void | setValue (const btScalar &_x, const btScalar &_y, const btScalar &_z, const btScalar &_w)
| Set the values. More...
| btQuadWord ()
| No initialization constructor. More...
| btQuadWord (const btScalar &_x, const btScalar &_y, const btScalar &_z)
| Three argument constructor (zeros w) More...
| btQuadWord (const btScalar &_x, const btScalar &_y, const btScalar &_z, const btScalar &_w)
| Initializing constructor. More...
void | setMax (const btQuadWord &other)
| Set each element to the max of the current values and the values of another btQuadWord. More...
void | setMin (const btQuadWord &other)
| Set each element to the min of the current values and the values of another btQuadWord. More...

## Protected Attributes
btScalar | m_floats [4]

## Detailed Description

The btQuadWord class is base class for btVector3 and btQuaternion.

Some issues under PS3 Linux with IBM 2.1 SDK, gcc compiler prevent from using aligned quadword.

Definition at line 34 of file btQuadWord.h.

## Constructor & Destructor Documentation

## ◆ btQuadWord() [1/3]

btQuadWord::btQuadWord | ( |  | ) |
| inline

No initialization constructor.

Definition at line 181 of file btQuadWord.h.

## ◆ btQuadWord() [2/3]

btQuadWord::btQuadWord | ( | const btScalar & | _x,
|  | const btScalar & | _y,
|  | const btScalar & | _z
| ) |  |
| inline

Three argument constructor (zeros w)

Parameters

  x | Value of x
  y | Value of y
  z | Value of z

Definition at line 191 of file btQuadWord.h.

## ◆ btQuadWord() [3/3]

btQuadWord::btQuadWord | ( | const btScalar & | _x,
|  | const btScalar & | _y,
|  | const btScalar & | _z,
|  | const btScalar & | _w
| ) |  |
| inline

Initializing constructor.

Parameters

  x | Value of x
  y | Value of y
  z | Value of z
  w | Value of w

Definition at line 202 of file btQuadWord.h.

## Member Function Documentation

## ◆ getX()

const btScalar& btQuadWord::getX | ( |  | ) | const
| inline

Return the x value.

Definition at line 102 of file btQuadWord.h.

## ◆ getY()

const btScalar& btQuadWord::getY | ( |  | ) | const
| inline

Return the y value.

Definition at line 104 of file btQuadWord.h.

## ◆ getZ()

const btScalar& btQuadWord::getZ | ( |  | ) | const
| inline

Return the z value.

Definition at line 106 of file btQuadWord.h.

## ◆ operator btScalar *()

btQuadWord::operator btScalar * | ( |  | ) |
| inline

operator btScalar*() replaces operator[], using implicit conversion. We added operator != and operator == to avoid pointer comparisons.

Definition at line 127 of file btQuadWord.h.

## ◆ operator const btScalar *()

btQuadWord::operator const btScalar * | ( |  | ) | const
| inline

Definition at line 128 of file btQuadWord.h.

## ◆ operator!=()

bool btQuadWord::operator!= | ( | const btQuadWord & | other | ) | const
| inline

Definition at line 142 of file btQuadWord.h.

## ◆ operator==()

bool btQuadWord::operator== | ( | const btQuadWord & | other | ) | const
| inline

Definition at line 130 of file btQuadWord.h.

## ◆ setMax()

void btQuadWord::setMax | ( | const btQuadWord & | other | ) |
| inline

Set each element to the max of the current values and the values of another btQuadWord.

Parameters

  other | The other btQuadWord to compare with

Definition at line 210 of file btQuadWord.h.

## ◆ setMin()

void btQuadWord::setMin | ( | const btQuadWord & | other | ) |
| inline

Set each element to the min of the current values and the values of another btQuadWord.

Parameters

  other | The other btQuadWord to compare with

Definition at line 226 of file btQuadWord.h.

## ◆ setValue() [1/2]

void btQuadWord::setValue | ( | const btScalar & | _x,
|  | const btScalar & | _y,
|  | const btScalar & | _z
| ) |  |
| inline

Set x,y,z and zero w.

Parameters

  x | Value of x
  y | Value of y
  z | Value of z

Definition at line 152 of file btQuadWord.h.

## ◆ setValue() [2/2]

void btQuadWord::setValue | ( | const btScalar & | _x,
|  | const btScalar & | _y,
|  | const btScalar & | _z,
|  | const btScalar & | _w
| ) |  |
| inline

Set the values.

Parameters

  x | Value of x
  y | Value of y
  z | Value of z
  w | Value of w

Definition at line 173 of file btQuadWord.h.

## ◆ setW()

void btQuadWord::setW | ( | btScalar | _w | ) |
| inline

Set the w value.

Definition at line 114 of file btQuadWord.h.

## ◆ setX()

void btQuadWord::setX | ( | btScalar | _x | ) |
| inline

Set the x value.

Definition at line 108 of file btQuadWord.h.

## ◆ setY()

void btQuadWord::setY | ( | btScalar | _y | ) |
| inline

Set the y value.

Definition at line 110 of file btQuadWord.h.

## ◆ setZ()

void btQuadWord::setZ | ( | btScalar | _z | ) |
| inline

Set the z value.

Definition at line 112 of file btQuadWord.h.

## ◆ w()

const btScalar& btQuadWord::w | ( |  | ) | const
| inline

Return the w value.

Definition at line 122 of file btQuadWord.h.

## ◆ x()

const btScalar& btQuadWord::x | ( |  | ) | const
| inline

Return the x value.

Definition at line 116 of file btQuadWord.h.

## ◆ y()

const btScalar& btQuadWord::y | ( |  | ) | const
| inline

Return the y value.

Definition at line 118 of file btQuadWord.h.

## ◆ z()

const btScalar& btQuadWord::z | ( |  | ) | const
| inline

Return the z value.

Definition at line 120 of file btQuadWord.h.

## Member Data Documentation

## ◆ m_floats

btScalar btQuadWord::m_floats[4]
| protected

Definition at line 69 of file btQuadWord.h.

The documentation for this class was generated from the following file:

- btQuadWord.h